<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.configuration.handler.file" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-buffer-size,cache-buffers,case-sensitive,directory-listing,follow-symlink,path,safe-symlink-paths"/>
        <elem name="addr-params" value="profile,subsystem,configuration,file"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.undertow.handler.$file"/>
    </provides>
    <refs>
        <ref feature="subsystem.undertow.configuration.handler"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="case-sensitive" nillable="true" stability="default"/>
        <param name="path" stability="default"/>
        <param name="safe-symlink-paths" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="file" feature-id="true"/>
        <param name="follow-symlink" nillable="true" stability="default"/>
        <param name="configuration" feature-id="true" default="handler"/>
        <param name="cache-buffers" nillable="true" stability="default"/>
        <param name="directory-listing" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="cache-buffer-size" nillable="true" stability="default"/>
    </params>
</feature-spec>